//these are the only two variables you need to edit!

//change this to your desired skincolors
local flashColors = {
	skincolors[SKINCOLOR_THERMAL],
}
local flashDelay = 5  //change this to how many tics it takes to animate

local rampPos = 1
local rampDir = true
local ramps = {}

for curcol = 1, table.maxn(flashColors), 1
	//convert the ramp to a table
	ramps[curcol] = {{}}
	for i = 0, 15, 1
		ramps[curcol][1][i+1] = flashColors[curcol].ramp[i]
	end

	//create the offset versions of the ramp
	for i = 2, 16,1
		ramps[curcol][i] = {}

		for pos,val in ipairs(ramps[curcol][i-1]) do
			if not (pos == 16) then
				ramps[curcol][i][pos+1] = val
			else
				ramps[curcol][i][1] = val
			end
		end
	end
end

local function RampChange()
	if (rampDir) then
		rampPos = $1+1
	else
		rampPos = $1-1
	end
end

local function RampLoop()
	if not (leveltime % flashDelay) then

		RampChange()
		
		//position is too high/low, reverse your direction
		if not (ramps[1][rampPos])
			rampDir = not rampDir
			RampChange()
		end
		
		for i = 1, table.maxn(ramps), 1
			flashColors[i].ramp = ramps[i][rampPos]
		end
	end
end

addHook("ThinkFrame", RampLoop)